%define major 0
%define libname %mklibname accounts-glib %major
%define libgir %mklibname accounts-glib-gir 1.0
%define develname %mklibname -d accounts-glib
%define werror %{nil}

Name: libaccounts-glib
Version: 1.16
Release: %mkrel 1
Group: System/Libraries
Summary: Accounts and SSO (Single Sign-On) framework
License: LGPLv2
URL: http://code.google.com/p/accounts-sso/
Source0: http://accounts-sso.googlecode.com/files/%{name}-%{version}.tar.xz
Patch0: libaccounts-glib-1.16-disable-coverage.patch
Patch1: libaccounts-glib-1.16-build-with-werror.patch
BuildRequires: xsltproc
BuildRequires: gawk
BuildRequires: grep 
BuildRequires: gtk-doc
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}sqlite3-devel 
BuildRequires: %{_lib}xml2-devel
BuildRequires: libxml2-utils
BuildRequires: make 
BuildRequires: patch 

%description
Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
platforms.

%package -n %{libname}
Group: System/Libraries
Summary: Accounts and SSO (Single Sign-On) framework

%description -n %{libname}
Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
platforms.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n python-%{name}
Summary: Python binding for %{name}
Group: Development/Python

%description -n python-%{name}
Python binding for %{name}.

%prep
%setup -q
%apply_patches

autoreconf -fi

%build

%configure2_5x --disable-tests --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/*
%{_datadir}/xml
%{_datadir}/backup-framework
%{_datadir}/dbus-1/interfaces/*.xml
%{_mandir}

%files -n %{libname}
%doc COPYING AUTHORS
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*
%{_libdir}/girepository-1.0/Accounts-1.0.typelib

%files -n %{develname}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}
%{_datadir}/gir-1.0/Accounts-1.0.gir
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/vala/vapi/*

%files -n python-%{name}
%py_platsitedir/gi/overrides/Accounts.*


%changelog
* Wed Mar 11 2015 bb <bb> 1.16-1pclos2015
- import from france and nc
